This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 413961 - X won't start on Walmart/Everex Via C7 system
X won't start on Walmart/Everex Via C7 system
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-06 09:14 EST by Joshua Rosen
Modified: 2009-01-09 00:26 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:26:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Xorg.0.log (67.81 KB, text/plain)
2007-12-06 09:14 EST, Joshua Rosen
no flags Details
/var/log/messages (210.38 KB, text/plain)
2007-12-06 12:56 EST, Joshua Rosen
no flags Details

  None (edit)
Description Joshua Rosen 2007-12-06 09:14:09 EST
Description of problem: X won't start automatically on the $200 Walmart/Everex
C7 system (sold with gOS which is an Ubuntu derivative). When the system is in
init 5 state X always fails to start when the system is booted, however it will
start with a startx command. This system works fine with CentOS5.1 and X works
fine on F8 if you do a startx, it appears to be a GDM issue.


Version-Release number of selected component (if applicable):


How reproducible: 100%


Steps to Reproduce: 
1.Boot system with init 5
2.
3.
  
Actual results: X fails to start


Expected results:


Additional info: Xorg.log file is attached
Comment 1 Joshua Rosen 2007-12-06 09:14:09 EST
Created attachment 279741 [details]
Xorg.0.log
Comment 2 Ray Strode [halfline] 2007-12-06 12:19:03 EST
Does taking "rhgb" out of grub.conf make the problem go away?

Can you set Enable=true in the [debug] section of /etc/gdm/custom.conf and then
attach /var/log/messages ?

if you put AddGtkModules=false in the [daemon] section of /etc/gdm/custom.conf
does the problem go away?
Comment 3 Joshua Rosen 2007-12-06 12:56:47 EST
Created attachment 280051 [details]
/var/log/messages
Comment 4 Joshua Rosen 2007-12-06 12:58:04 EST
Removing rhgb from grub.conf has no effect.
AddGtkModules=false has no effect.

I added the ebug enable. The /var/log/messages file has been uploaded.



Comment 5 Ray Strode [halfline] 2007-12-06 17:26:28 EST
How long does it normally take for X to start on your system?

If you set

GdmXserverTimeout=10000

in the [daemon] section of /etc/gdm/custom.conf do things work?
Comment 6 Joshua Rosen 2007-12-06 17:44:02 EST
GdmXserverTimeout=10000 fixed the problem.





Comment 7 Ray Strode [halfline] 2007-12-06 22:20:48 EST
okay, so for f8 we should raise the default timeout to a minute or something (60
works instead of 10000 right?)  and for F9 we'll just get rid of the timeout
entirely.
Comment 8 Joshua Rosen 2007-12-07 08:29:32 EST
60 works fine. It looks like it takes about 15 seconds for X to start to 60 is a
good number.
Comment 9 Bug Zapper 2008-11-26 03:52:01 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-01-09 00:26:29 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.